Bug 216248 - [PATCH] comms/rxtx - Tweaked Java compile options, added License and general housekeeping.
Summary: [PATCH] comms/rxtx - Tweaked Java compile options, added License and general ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks: 216558
  Show dependency treegraph
 
Reported: 2017-01-18 22:45 UTC by James Elstone
Modified: 2017-02-09 17:57 UTC (History)
1 user (show)

See Also:
james: maintainer-feedback+


Attachments
comms/rxtx svn generated diff file for revision 4 of port (109.00 KB, patch)
2017-01-18 22:45 UTC, James Elstone
james: maintainer-approval+
Details | Diff
Poudriere log file for this patch (Working, without error) (35.45 KB, text/plain)
2017-01-31 22:30 UTC, James Elstone
james: maintainer-approval+
Details
Poudriere log file for this patch (Working, without error on R10.3) (42.33 KB, text/plain)
2017-02-08 22:51 UTC, James Elstone
james: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Elstone 2017-01-18 22:45:41 UTC
Created attachment 179055 [details]
comms/rxtx svn generated diff file for revision 4 of port

Bumped to revision 4:

1) added LICENSE
2) corrected for portlint patch warnings
3) supressed debug message on RXTXPort:removeEventListener:Exit when not in debug mode
4) added java bootstrap class
5) updated java source/target directives which will be depreciated in future release, see http://openjdk.java.net/jeps/182, and regression tested functionality.

Portlint - OK
Poudrerie - OK
Comment 1 James Elstone 2017-01-18 22:50:56 UTC
Functional testing performed - worked as expected against 11.0-RELEASE-p7, openjdk8-8.112.16_3 and ports tree r431710 with the boards I have available here.
Comment 2 James Elstone 2017-01-31 22:30:18 UTC
Created attachment 179481 [details]
Poudriere log file for this patch (Working, without error)

Poudriere log for build of this patch, demonstrating the successful build.

SVN version of /usr/ports/comms/rxtx of patch to be applied against = 429423.

SVN version of /usr/ports/ built against = 432555 (2017-01-27 16:05:57)

uname -a:
  FreeBSD radon 11.0-RELEASE-p2 FreeBSD 11.0-RELEASE-p2 #0: Mon Oct 24 06:55:27 UTC 2016
  root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 3 James Elstone 2017-02-08 22:51:55 UTC
Created attachment 179780 [details]
Poudriere log file for this patch (Working, without error on R10.3)
Comment 4 commit-hook freebsd_committer 2017-02-09 17:51:11 UTC
A commit references this bug:

Author: krion
Date: Thu Feb  9 17:50:06 UTC 2017
New revision: 433756
URL: https://svnweb.freebsd.org/changeset/ports/433756

Log:
    - Added LICENSE
    - Fixed patches for portlint
    - Supressed debug message on RXTXPort:removeEventListener:Exit when not in debug mode
    - Added java bootstrap class
    - Updated java source/target directives which will be depreciated in future release, see http://openjdk.java.net/
  +jeps/182, and regression tested functionality.

  PR:		216248
  Submitted by:	james@elstone.net
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9508

Changes:
  head/comms/rxtx/Makefile
  head/comms/rxtx/files/patch-Makefile.in
  head/comms/rxtx/files/patch-src-ParallelImp.c
  head/comms/rxtx/files/patch-src-SerialImp.c
  head/comms/rxtx/files/patch-src-gnu-io-CommPort.java
  head/comms/rxtx/files/patch-src-gnu-io-CommPortEnumerator.java
  head/comms/rxtx/files/patch-src-gnu-io-CommPortIdentifier.java
  head/comms/rxtx/files/patch-src-gnu-io-Configure.java
  head/comms/rxtx/files/patch-src-gnu-io-LPRPort.java
  head/comms/rxtx/files/patch-src-gnu-io-NoSuchPortException.java
  head/comms/rxtx/files/patch-src-gnu-io-RXTXCommDriver.java
  head/comms/rxtx/files/patch-src-gnu-io-RXTXPort.java
  head/comms/rxtx/files/patch-src-gnu-io-SerialPortEvent.java